#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# WheelInfo Class

Defined in: `src/objects/WheelInfo.js:8`

## Constructor

### `WheelInfo`

(

- `[options]`

)

Defined in `src/objects/WheelInfo.js:8`

#### Parameters:

- `[options]` Object optional
  - `[chassisConnectionPointLocal]` Vec3 optional
  - `[chassisConnectionPointWorld]` Vec3 optional
  - `[directionLocal]` Vec3 optional
  - `[directionWorld]` Vec3 optional
  - `[axleLocal]` Vec3 optional
  - `[axleWorld]` Vec3 optional
  - `[suspensionRestLength=1]` Number optional
  - `[suspensionMaxLength=2]` Number optional
  - `[radius=1]` Number optional
  - `[suspensionStiffness=100]` Number optional
  - `[dampingCompression=10]` Number optional
  - `[dampingRelaxation=10]` Number optional
  - `[frictionSlip=10000]` Number optional
  - `[steering=0]` Number optional
  - `[rotation=0]` Number optional
  - `[deltaRotation=0]` Number optional
  - `[rollInfluence=0.01]` Number optional
  - `[maxSuspensionForce]` Number optional
  - `[isFrontWheel=true]` Boolean optional
  - `[clippedInvContactDotSuspension=1]` Number optional
  - `[suspensionRelativeVelocity=0]` Number optional
  - `[suspensionForce=0]` Number optional
  - `[skidInfo=0]` Number optional
  - `[suspensionLength=0]` Number optional
  - `[maxSuspensionTravel=1]` Number optional
  - `[useCustomSlidingRotationalSpeed=false]` Boolean optional
  - `[customSlidingRotationalSpeed=-0.1]` Number optional

- Index
- Properties

## Item Index

### Properties

- axleLocal
- axleWorld
- brake
- chassisConnectionPointLocal
- chassisConnectionPointWorld
- clippedInvContactDotSuspension
- customSlidingRotationalSpeed
- dampingCompression
- dampingRelaxation
- deltaRotation
- directionLocal
- directionWorld
- engineForce
- forwardImpulse
- frictionSlip
- isFrontWheel
- isInContact
- maxSuspensionForce
- maxSuspensionTravel
- radius
- raycastResult
- rollInfluence
- rotation
- sideImpulse
- skidInfo
- sliding
- steering
- suspensionForce
- suspensionLength
- suspensionMaxLength
- suspensionRelativeVelocity
- suspensionRestLength
- suspensionStiffness
- useCustomSlidingRotationalSpeed
- worldTransform

## Properties

### `axleLocal`

Vec3

Defined in `src/objects/WheelInfo.js:116`

### `axleWorld`

Vec3

Defined in `src/objects/WheelInfo.js:121`

### `brake`

Number

Defined in `src/objects/WheelInfo.js:192`

### `chassisConnectionPointLocal`

Vec3

Defined in `src/objects/WheelInfo.js:95`

Connection point, defined locally in the chassis body frame.

### `chassisConnectionPointWorld`

Vec3

Defined in `src/objects/WheelInfo.js:101`

### `clippedInvContactDotSuspension`

Number

Defined in `src/objects/WheelInfo.js:202`

### `customSlidingRotationalSpeed`

Number

Defined in `src/objects/WheelInfo.js:78`

Speed to apply to the wheel rotation when the wheel is sliding.

### `dampingCompression`

Number

Defined in `src/objects/WheelInfo.js:146`

### `dampingRelaxation`

Number

Defined in `src/objects/WheelInfo.js:151`

### `deltaRotation`

Number

Defined in `src/objects/WheelInfo.js:172`

### `directionLocal`

Vec3

Defined in `src/objects/WheelInfo.js:106`

### `directionWorld`

Vec3

Defined in `src/objects/WheelInfo.js:111`

### `engineForce`

Number

Defined in `src/objects/WheelInfo.js:187`

### `forwardImpulse`

Number

Defined in `src/objects/WheelInfo.js:232`

### `frictionSlip`

Number

Defined in `src/objects/WheelInfo.js:156`

### `isFrontWheel`

Number

Defined in `src/objects/WheelInfo.js:197`

### `isInContact`

Boolean

Defined in `src/objects/WheelInfo.js:249`

### `maxSuspensionForce`

Number

Defined in `src/objects/WheelInfo.js:182`

### `maxSuspensionTravel`

Number

Defined in `src/objects/WheelInfo.js:72`

Max travel distance of the suspension, in meters.

### `radius`

Number

Defined in `src/objects/WheelInfo.js:136`

### `raycastResult`

RaycastResult

Defined in `src/objects/WheelInfo.js:237`

The result from raycasting

### `rollInfluence`

Number

Defined in `src/objects/WheelInfo.js:177`

### `rotation`

Number

Defined in `src/objects/WheelInfo.js:166`

Rotation value, in radians.

### `sideImpulse`

Number

Defined in `src/objects/WheelInfo.js:227`

### `skidInfo`

Number

Defined in `src/objects/WheelInfo.js:217`

### `sliding`

Boolean

Defined in `src/objects/WheelInfo.js:90`

### `steering`

Number

Defined in `src/objects/WheelInfo.js:161`

### `suspensionForce`

Number

Defined in `src/objects/WheelInfo.js:212`

### `suspensionLength`

Number

Defined in `src/objects/WheelInfo.js:222`

### `suspensionMaxLength`

Number

Defined in `src/objects/WheelInfo.js:131`

### `suspensionRelativeVelocity`

Number

Defined in `src/objects/WheelInfo.js:207`

### `suspensionRestLength`

Number

Defined in `src/objects/WheelInfo.js:126`

### `suspensionStiffness`

Number

Defined in `src/objects/WheelInfo.js:141`

### `useCustomSlidingRotationalSpeed`

Boolean

Defined in `src/objects/WheelInfo.js:84`

If the customSlidingRotationalSpeed should be used.

### `worldTransform`

Transform

Defined in `src/objects/WheelInfo.js:243`

Wheel world transform